Skip to main content
GET
https://your-rootprint-host
/
api
/
indexes
/
{indexId}
/
logs
/
histogram
Get log histogram
curl --request GET \
  --url https://your-rootprint-host/api/indexes/{indexId}/logs/histogram \
  --cookie better-auth.session_token=
{
  "buckets": [
    {
      "key": 123,
      "keyAsString": "<string>",
      "docCount": 123,
      "levels": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

indexId
string
required

Quickwit index ID.

Minimum string length: 1

Query Parameters

q
string

Quickwit query string.

startTs
number

Inclusive start timestamp in seconds since Unix epoch.

endTs
number

Inclusive end timestamp in seconds since Unix epoch.

interval
string
required
Pattern: ^[1-9]\d*[smhdwMy]$

Response

Histogram buckets.

buckets
object[]
required